<template>
  <d-card
    :loadingTitle="loadingTitle"
    :titleNotFound="titleNotFound"
    :loadingContent="loadingContent"
    :contentNotFound="contentNotFound"
    :loadingContentType="loadingContentType"
    :loadingContentTypes="loadingContentTypes"
  >
    <template slot="header">
      <span class="font-weight-black white--text justify-space-between">{{
        data.descripcion
      }}</span>
    </template>
    <template slot="content">
      <v-radio-group
        class="ratio-bottom-justify"
        mandatory
        :column="false"
        v-model="negocio"
      >
        <template v-slot:default>
          <div class="d-flex  flex-wrap">
            <v-radio
              v-for="(negocio, index) in data.negocios"
              :key="index"
              :value="negocio"
              class="ma-2"
            >
              <template v-slot:label>
                <v-img
                  :lazy-src="negocio.imagen"
                  width="80"
                  class="ma-2"
                  :src="negocio.imagen"
                />
              </template>
            </v-radio>
          </div>
        </template>
      </v-radio-group>
      <v-simple-table>
        <template v-slot:default>
          <thead>
            <tr>
              <td>
                <strong class="font-weight-black subtitle-1">Pregunta</strong>
              </td>
              <td class="text-center">
                <strong class="font-weight-black subtitle-1"
                  >PDV en incumplimiento</strong
                >
              </td>
              <td class="text-center">
                <strong class="font-weight-black subtitle-1">Porcentaje</strong>
              </td>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(item, index) in incumplimientos" :key="index">
              <td class="td-descripcion" width="70%">
                <strong>{{ index + 1 }}. </strong>{{ item.descripcion }}
              </td>
              <td class="text-center" width="15%">
                <strong>{{ item.puntosVenta }}</strong>
              </td>
              <td class="text-center" width="15%">
                <strong>{{ item.porcentaje }}</strong>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
    </template>
  </d-card>
</template>
<style scoped>
.td-descripcion {
  min-width: 200px;
}
</style>
<style>
.ratio-bottom-justify {
  display: inherit !important;
}
.ratio-bottom-justify .v-input__control {
  display: inherit !important;
}
.ratio-bottom-justify .v-input__slot {
  display: inherit !important;
}
.ratio-bottom-justify .v-input--radio-group__input {
  display: inherit !important;
}
</style>
<script>
import CardChart from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/CardChart.vue";
export default {
  name: "Component-InclumplientosNegocio",
  components: {
    "d-card": CardChart,
  },
  props: {
    loadingTitle: {
      required: false,
      default: true,
      type: Boolean,
    },
    loadingContent: {
      required: false,
      default: true,
      type: Boolean,
    },
    titleNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    contentNotFound: {
      required: false,
      default: false,
      type: Boolean,
    },
    data: {
      required: true,
      default() {
        return {
          descripcion: null,
          negocios: [],
          values: [],
        };
      },
      type: Object,
    },
  },
  data() {
    return {
      negocio: null,
      loadingContentType: "table-row, table-thead, table-row-divider@10",
      loadingContentTypes: {
        "table-row": "table-cell@4",
      },
    };
    
  },
  watch: {
    negocio(val){
          this.$emit("negocio",val);
        },
  },
  computed: {
    incumplimientos() {
      return this.data.values.filter(
        (incumplimiento) =>
          this.negocio && incumplimiento.idNegocio == this.negocio.idNegocio
      );
    },
  },
};
</script>
